Skip to Content
Referhatch
Tools

View attributed purchases

Retrieve purchases in your account with their affiliate, saved commission and currency. Filter by affiliate, exact order reference or an inclusive UTC date range. Use next_offset when has_more is true.

curl https://api.referhatch.com/v1/list_purchases \
  -H "Authorization: Bearer $API_KEY" \
  -d '{}'

Input

FieldTypeDescription
affiliate_idstringAffiliate ID in your account. Provide this or a referral code.
purchase_referencestringExact purchase reference.
start_datestringFirst included date, YYYY-MM-DD. Dates use UTC.
end_datestringLast included date, YYYY-MM-DD. Dates use UTC.
limitintegerRows per page.
offsetintegerRows to skip.

Output

FieldTypeDescription
ok (required)boolean
errorobject
itemsarray
has_moreboolean
next_offsetinteger